GET
/channels/{channelArn}/moderators/{channelModeratorArn}
http://service.chime.aws.amazon.com/channels/{channelArn}/moderators/{channelModeratorArn}<p>Returns the full details of a single ChannelModerator.</p> <note> <p>The <code>x-amz-chime-bearer</code> request header is mandatory. Use the <code>AppInstanceUserArn</code> of the user that makes the API call as the value in the header.</p> </note>
Access Token Required: API Key
Path Parameters
channelArnstringrequired
The ARN of the channel.
channelModeratorArnstringrequired
The ARN of the channel moderator.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://service.chime.aws.amazon.com/channels/{channelArn}/moderators/{channelModeratorArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}